package com.vendor.burn.commands;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.commands.SerialCommand;
import com.vendor.burn.model.FlashType;
import java.util.List;

public class MmcPartCommand extends SerialCommand {
  public static final String MMC_PARTCONF = "mmc partconf";
  
  public static final String BOOT_ONE = " 0 0 1 1";
  
  public static final String BOOT_ONE_BOOT_ZERO = " 0 0 1 0";
  
  public static final String BOOT_TWO = " 0 0 2 2";
  
  public static final String BOOT_TWO_BOOT_ZERO = " 0 0 2 0";
  
  public static final String BOOT_ZERO = " 0 0 7 0";
  
  public static final String BOOT_ONE_BOOT_TWO = " 0 0 1 2";
  
  public static final String WRITEBEFORE = "writeBefore";
  
  public static void addMmcPartConfCommand(String writeBeforeOrAfter, List<SerialCommand> commands, FlashType flash) {
    SerialCommand cmd = getMmcPartConfCommand(writeBeforeOrAfter, flash);
    if (cmd.getCommand() != null)
      commands.add(getMmcPartConfCommand(writeBeforeOrAfter, flash)); 
  }
  
  public static SerialCommand getMmcPartConfCommand(String writeBeforeOrAfter, FlashType flash) {
    switch (null.$SwitchMap$com$vendor$burn$model$FlashType[flash.ordinal()]) {
      case 1:
      case 2:
        if (writeBeforeOrAfter.equalsIgnoreCase("writeBefore"))
          return new SerialCommand("mmc partconf 0 0 7 0"); 
        break;
      case 3:
      case 4:
        if (writeBeforeOrAfter.equalsIgnoreCase("writeBefore"))
          return new SerialCommand("mmc partconf 0 0 1 1"); 
        return new SerialCommand("mmc partconf 0 0 1 0");
      case 5:
      case 6:
        if (writeBeforeOrAfter.equalsIgnoreCase("writeBefore"))
          return new SerialCommand("mmc partconf 0 0 2 2"); 
        return new SerialCommand("mmc partconf 0 0 2 0");
    } 
    return new SerialCommand();
  }
}
